Bug 1662537 - Upgrade MuseScore from version 2.2.1 to 3.0.2
Summary: Upgrade MuseScore from version 2.2.1 to 3.0.2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mscore
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-29 15:24 UTC by piejacker875
Modified: 2019-11-27 23:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:02:31 UTC
Type: Bug


Attachments (Terms of Use)

Description piejacker875 2018-12-29 15:24:23 UTC

Comment 1 Bruno Vernay 2019-02-01 21:08:33 UTC
The solution is to use FlatPack: https://FlatHub.org/apps/details/org.musescore.MuseScore

I guess we can close this issue.

Comment 2 Bruno Vernay 2019-02-12 07:48:00 UTC
At least would it be possible to remove this package? 
There should be a way to deprecate obsolete packages

Comment 3 Igor Raits 2019-02-12 07:59:49 UTC
It is irrelevant what flathub is providing.

Comment 4 Lukas Ruzicka 2019-03-14 12:24:45 UTC
Flatpak does not solve everything. Besides, Flathub is not Fedora and when they decide to remove Flatpaks from their site, we would not be able to do anything about it. Also, Musescore is part of Fedora Jam Spin and I believe that having in the repository is a crucial thing. 

Please, upgrade to the newest version of the package and do not let us force onto Flathub.

Comment 5 Bruno Vernay 2019-03-14 12:52:13 UTC
You can also use Snappy, build from source, you are never "forced" there are many solution.
My only point was that it is better to remove old packages.

Comment 6 Bruno Vernay 2019-03-14 14:55:57 UTC
MuseScore released 3.0.5, they provide AppImage, Snappy, Flatpak and you can build from sources.
I am not sure that all Linux distro packaging all desktop apps in their specific way, is a good idea, but this is not the place to debate.

Comment 7 Fabrice Salvaire 2019-03-14 23:39:27 UTC
Started to upgrade Fedora RPM to v3 https://github.com/FabriceSalvaire/copr-mao/tree/master/musescore

But must fix

In file included from /home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/musescore.cpp:119:
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:24:75: error: expected class-name before « { » token
 class MyWebUrlRequestInterceptor : public QWebEngineUrlRequestInterceptor {
                                                                           ^
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:31:29: error: « QWebEngineUrlRequestInfo » n'a pas été déclaré
       void interceptRequest(QWebEngineUrlRequestInfo& info)
                             ^~~~~~~~~~~~~~~~~~~~~~~~
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h: Dans le constructeur « Ms::MyWebUrlRequestInterceptor::MyWebUrlRequestInterceptor(QObject*) »:
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:29:15: error: la classe « Ms::MyWebUrlRequestInterceptor » n'a aucun champ nommé « QWebEngineUrlRequestInterceptor »
             : QWebEngineUrlRequestInterceptor(p) {}
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h: Dans la fonction membre « void Ms::MyWebUrlRequestInterceptor::interceptRequest(int&) »:
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:33:18: error: requête du membre « setHttpHeader » dans « info », lequel est de type non classe « int »
             info.setHttpHeader("Accept-Language",
                  ^~~~~~~~~~~~~
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h: Au niveau global:
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:42:47: error: expected class-name before « { » token
 class MyWebEnginePage : public QWebEnginePage {
                                               ^
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:49:53: error: « QWebEnginePage » n'a pas été déclaré
       bool acceptNavigationRequest(const QUrl& url, QWebEnginePage::NavigationType type, bool isMainFrame);
                                                     ^~~~~~~~~~~~~~
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:49:84: error: expected « , » or « ... » before « type »
       bool acceptNavigationRequest(const QUrl& url, QWebEnginePage::NavigationType type, bool isMainFrame);
                                                                                    ^~~~
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h: Dans le constructeur « Ms::MyWebEnginePage::MyWebEnginePage(QObject*) »:
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:47:15: error: la classe « Ms::MyWebEnginePage » n'a aucun champ nommé « QWebEnginePage »
             : QWebEnginePage(parent) {}
               ^~~~~~~~~~~~~~
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h: Au niveau global:
/home/fabrice/rpmbuild/BUILD/mscore-3.0.5/mscore/startcenter.h:56:41: error: expected class-name before « { » token
 class MyWebView : public QWebEngineView {

Comment 8 Fabrice Salvaire 2019-03-16 21:53:16 UTC
RPM are there for test https://copr.fedorainfracloud.org/coprs/fabricesalvaire/mao

Comment 9 Lukas Ruzicka 2019-03-18 08:58:08 UTC
@Fabrice

Hello, thank you very much for your work. Unfortunately, the package did not work for me. I have installed them from the Copr repo of yours on Fedora 29 and everything seemed to work pretty fine.
However, when I wanted to run the program, it did not start and literally nothing happened. 

I went to the console and tried to start it from there --- the command executed and finished, did not leave a trace of anything, and I even did not see any UI element or something. Neither an error message appeared which could give us some hint where to look for.

Comment 10 Fabrice Salvaire 2019-03-18 18:07:04 UTC
@Lukas

Yes I know, RPM are currently for test only, look at https://github.com/FabriceSalvaire/copr-mao/issues

For some reasons mscore only open the ui with "mscore -d"

Feel free to find an explanation, I reported issues to upstream but I don't have so much time and I had to fight several hours to success to build the RPM, in part due to the way Fedora patches a lot this software ...

Comment 11 Jerry James 2019-07-20 03:09:50 UTC
Hi folks.  The maintainer of the mscore package was too busy to take care of this upgrade.  I have just taken over maintainership from him.  I have built version 3.2.3 for Rawhide, which means that it will land in Fedora 31.  I'm not sure what to do about Fedora 29 and 30, though.  The Fedora Updates Policy clearly states that major version updates should not happen in a stable release (see https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/; look for "Stable Releases".)

What would you like me to do?  One option is to build Fedora 29 and 30 versions in a COPR.  That way those who understand the dangers of a major version upgrade can consume it, and those who do not will be left on version 2.2.1.  Does that seem reasonable?

Comment 12 Jerry James 2019-07-20 16:15:06 UTC
I have gone with the COPR option for now.  See https://copr.fedorainfracloud.org/coprs/jjames/MuseScore/.

Comment 13 Ben Cotton 2019-10-31 19:02:57 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 23:02:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.